import { makeObservable } from "mobx";
// 档案分类
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";


class LeaveCategoryConfig {
    static LIST: string = "/v1/leave/category/list"
    static ADD: string = "/v1/leave/category"
    static DELETE: string = "/v1/leave/category"
    static EDIT: string = "/v1/leave/category"
}
class LeaveCategoryStore extends BaseStore<TagDataType> {
    constructor() {
        super(LeaveCategoryConfig)
        makeObservable(this, {})
    }
}
export const leaveCategoryStore = new LeaveCategoryStore()

